Class ParamProvider

Declaration :

- C++ : template<class VAL> class ParamProvider
- Java : public interface ParamProvider<VAL>

Directly inherited by : Auto

A facility to get the actual value of a plugin/effect parameter

Artifact : paramprovider, Component(s) : Session

Relation param (<association>)

Declaration :

- Uml : # param : Parameter, multiplicity : 1
- C++ : protected: Parameter* param

Relation ipo (<unidirectional association>)

Declaration :

- Uml : # ipo : Interpolator, multiplicity : 0..1
- C++ : protected: Interpolator* ipo

Operation getValue

Declaration :

- Uml : + getValue() : VAL
- C++ : public: VAL getValue () const

All public operations : getValue